# brady_flutter_plugin

The official Flutter Plugin to integrate the Brady SDK within a Flutter application.
The Brady SDK will allow users to discover, connect, and print to Brady printers.

## Getting Started

- When developing a Flutter application for Android, the "buildTypes" block in the "app/build.gradle" must be changed to the following:
```
buildTypes {
    release {
        //The following two lines ensure that no third-party library classes get ignored at compile-time.
        //This is crucial because the Brady Android SDK depends on these classes to make a successful connection.
        shrinkResources false
        minifyEnabled false
        signingConfig signingConfigs.debug
   }
}
```

- To demonstrate the basic functionalities of the Brady SDK Flutter Plugin, copy and paste the main.dart under the "example" tab into a fresh Flutter project.
