import 'package:flutter_test/flutter_test.dart';
import 'package:brady_flutter_plugin/brady_flutter_plugin_platform_interface.dart';
import 'package:brady_flutter_plugin/brady_flutter_plugin_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockBradyFlutterPluginPlatform
    with MockPlatformInterfaceMixin
    implements BradyFlutterPluginPlatform {
  @override
  Future<bool?> connectToBluetoothPrinter(String? printer) {
    // TODO: implement connectToPrinter
    throw UnimplementedError();
  }

  @override
  Future<bool?> connectToWifiPrinter(String? printer) {
    // TODO: implement connectToPrinter
    throw UnimplementedError();
  }

  @override
  Future<bool?> cut() {
    // TODO: implement cut
    throw UnimplementedError();
  }

  @override
  Future<bool?> disconnect() {
    // TODO: implement disconnect
    throw UnimplementedError();
  }

  @override
  Future<bool?> feed() {
    // TODO: implement feed
    throw UnimplementedError();
  }

  @override
  Future<String?> getLastConnectedPrinterName() {
    // TODO: implement getLastConnectedPrinterName
    throw UnimplementedError();
  }

  @override
  Future<List<String?>> getPrinters() {
    // TODO: implement getPrinters
    throw UnimplementedError();
  }

  @override
  Future<bool?> print(
      int copies, bool cutAfterEachLabel, bool isCollated, bool printTrailer) {
    // TODO: implement print
    throw UnimplementedError();
  }

  @override
  void setPlaceholderValue(String placeholder, String value) {
    // TODO: implement setPlaceholderValue
  }

  @override
  Future<List<String?>> getTemplateDataNames() {
    // TODO: implement getTemplateDataNames
    throw UnimplementedError();
  }

  @override
  Future<void> setTemplate(String filePath) async {
    // TODO: implement setTemplate
  }

  @override
  void startBlePrinterDiscovery() {
    // TODO: implement startPrinterDiscovery
  }

  @override
  void startWifiPrinterDiscovery() {
    // TODO: implement startPrinterDiscovery
  }

  @override
  Future<bool?> checkForPartMismatch() {
    // TODO: implement checkForPartMismatch
    throw UnimplementedError();
  }

  @override
  Future<bool?> disconnectWithoutForget() {
    // TODO: implement disconnectWithoutForget
    throw UnimplementedError();
  }

  @override
  void forgetLastConnectedPrinter() {
    // TODO: implement forgetLastConnectedPrinter
  }

  @override
  Future<List<String?>> getAvailablePrinterUpdates() {
    // TODO: implement getAvailablePrinterUpdates
    throw UnimplementedError();
  }

  @override
  Future<int?> getBatteryLevelPercentage() {
    // TODO: implement getBatteryLevelPercentage
    throw UnimplementedError();
  }

  @override
  Future<String?> getConnectionType() {
    // TODO: implement getConnectionType
    throw UnimplementedError();
  }

  @override
  Future<bool?> getHaveOwnership() {
    // TODO: implement getHaveOwnership
    throw UnimplementedError();
  }

  @override
  Future<bool?> getIsAcConnected() {
    // TODO: implement getIsAcConnected
    throw UnimplementedError();
  }

  @override
  Future<bool?> getIsSupplyPreSized() {
    // TODO: implement getIsSupplyPreSized
    throw UnimplementedError();
  }

  @override
  Future<String?> getPreview(int elementSize) {
    // TODO: implement getPreview
    throw UnimplementedError();
  }

  @override
  Future<String?> getPrinterModel() {
    // TODO: implement getPrinterModel
    throw UnimplementedError();
  }

  @override
  Future<String?> getPrinterName() {
    // TODO: implement getPrinterName
    throw UnimplementedError();
  }

  @override
  Future<String?> getPrinterStatus() {
    // TODO: implement getPrinterStatus
    throw UnimplementedError();
  }

  @override
  Future<String?> getPrinterStatusMessage() {
    // TODO: implement getPrinterStatusMessage
    throw UnimplementedError();
  }

  @override
  Future<String?> getPrinterStatusMessageTitle() {
    // TODO: implement getPrinterStatusMessageTitle
    throw UnimplementedError();
  }

  @override
  Future<String?> getPrinterStatusRemedyExplanationMessage() {
    // TODO: implement getPrinterStatusRemedyExplanationMessage
    throw UnimplementedError();
  }

  @override
  Future<double?> getSupplyHeight() {
    // TODO: implement getSupplyHeight
    throw UnimplementedError();
  }

  @override
  Future<String?> getSupplyName() {
    // TODO: implement getSupplyName
    throw UnimplementedError();
  }

  @override
  Future<int?> getSupplyRemainingPercentage() {
    // TODO: implement getSupplyRemainingPercentage
    throw UnimplementedError();
  }

  @override
  Future<double?> getSupplyWidth() {
    // TODO: implement getSupplyWidth
    throw UnimplementedError();
  }

  @override
  Future<String?> getTemplateSupplyName() {
    // TODO: implement getTemplateSupplyName
    throw UnimplementedError();
  }

  @override
  Future<bool?> printBitmapWithDimensions(
      double bitmapWidthInInches,
      double labelLengthInInches,
      int copies,
      bool cutAfterEachLabel,
      bool isCollated,
      bool printTrailer) {
    // TODO: implement printBitmapWithDimensions
    throw UnimplementedError();
  }

  @override
  void stopPrinterDiscovery() {
    // TODO: implement stopPrinterDiscovery
  }

  @override
  Future<bool?> isPrinterBluetooth(String printerName) async {
    // TODO: implement isPrinterBluetooth
    throw UnimplementedError();
  }
}

void main() {
  final BradyFlutterPluginPlatform initialPlatform =
      BradyFlutterPluginPlatform.instance;

  test('$MethodChannelBradyFlutterPlugin is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelBradyFlutterPlugin>());
  });
}
